<?xml version="1.0" encoding="utf-8"?>
<DirectionalLayout
    xmlns:ohos="http://schemas.huawei.com/res/ohos"
    ohos:height="match_parent"
    ohos:width="match_parent"
    ohos:orientation="vertical"
    ohos:padding="32vp">

    <Text
        ohos:id="$+id:text_title"
        ohos:height="match_content"
        ohos:width="match_parent"
        ohos:text="$string:xml_layout_title"
        ohos:text_size="30fp"
        ohos:text_alignment="center"
        ohos:margin_bottom="40vp"
        />

    <TextField
        ohos:id="$+id:text_field"
        ohos:height="match_content"
        ohos:width="match_parent"
        ohos:hint="请输入内容"
        ohos:margin_bottom="30vp"
        />

    <Checkbox
        ohos:id="$+id:checkbox"
        ohos:height="match_content"
        ohos:width="match_content"
        ohos:text="选择项"
        ohos:margin_bottom="30vp"
        />

    <RadioButton
        ohos:id="$+id:radio_button"
        ohos:height="match_content"
        ohos:width="match_content"
        ohos:text="单选按钮"
        ohos:margin_bottom="30vp"
        />

    <Slider
        ohos:id="$+id:slider"
        ohos:height="match_content"
        ohos:width="match_parent"
        ohos:min_value="0"
        ohos:max_value="100"
        ohos:value="50"
        />

</DirectionalLayout>

